/*
 * MultiMAIL offline mail reader
 * 

   Written by Kolossvary Tamas (thomas@vma.bme.hu)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

#include "interface.h"

void Welcome :: ReDraw()
{
 touchwin(window);
 wnoutrefresh(window);
}

void Welcome :: MakeActive(void)
{
 init_pair(30, COLOR_YELLOW, COLOR_BLUE);
 init_pair(10, COLOR_CYAN, COLOR_BLUE);
 window=newwin(8, 50, 2, 15);
 wattrset(window, COLOR_PAIR(30) | A_BOLD);
 for(int i=0; i < 8*50; i++)
	waddch(window, ' ');
 wborder(window, 0, 0, 0, 0, 0, 0, 0, 0);

 mvwaddstr(window, 1, 1, "              Welcome to MultiMAIL,"); 
 mvwaddstr(window, 2, 1, "      the first Bluewave reader for Linux!");
 wattrset(window, COLOR_PAIR(10) | A_BOLD);
 mvwaddstr(window, 4, 2, "authors:");
 mvwaddstr(window, 5, 2, " Kolossvary Tamas (thomas@vma.bme.hu)");
 mvwaddstr(window, 6, 2, " Toth Istvan (stoty@vma.bme.hu)");
 
 wnoutrefresh(window);  
}

void Welcome :: Delete(void)
{
 delwin(window);
 touchwin(screen);
 wnoutrefresh(screen);
}
