/*
 * MultiMAIL offline mail reader
 * 

   Written by Toth Istvan (stoty@vma.bme.hu)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

#include<stdio.h>
#include<strings.h>
#include<ctype.h>
#include"misc.h"

#include <iostream.h>  //!!!!!!!!!!!!!!1


char* strdupplus(const char *original)
{
	int len;
	char *tmp;
	for(len=0; original[len]; len++);
	len++;
	if(!(tmp = new char[len]))
		cerr << " SSSUUUUXXXX out of memory" ;
	for(int c=0;(tmp[c]=original[c]); c++);
	return tmp;	

}; 

int	numcmp(const char * first, const char * second)
{
	int c;
	c=0;
	while( ( toupper(first[c])==toupper(second[c++]) ) && ( c<=6 ) );
	
	if( c>=6 )
		return 0;
	else
		return 1;
}; 	

char* findBaseName(const char* fileName)
{
	int c,d;
	char *tmp;
	
	for(c=0; fileName[c]!='.'; c++);
	tmp = new char[c+1];
	
	for(d=0; d<c; d++ )
		tmp[d]=toupper(fileName[d]);
	tmp[d]='\0';
	
	return tmp;
};

long  getFileLen(char *fileName)
{
	FILE *file;
	long fileLen;
	
	file = fopen(fileName, "r"); // !! check it !
	fseek(file, 0, SEEK_END);
	fileLen = ftell(file);

	fclose(file);
	return fileLen;
};

int fatalError(char *description)
{
	cerr << "\n\nfatal error:\n" << description << "\n\n";
	exit(-1);
}; 

