/*
 * MultiMAIL offline mail reader
 * 

   Written by Toth Istvan (stoty@vma.bme.hu)

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

char* bluewave::findLastFile(const char *bwDirName)
{
	DIR  *bwDir;
	struct dirent *entry;
	struct stat fileStat;
	time_t lastTime;

	char	lastFileName[255];
	char	*returnFileName;
	
	if(!(bwDir=opendir(bwDirName)))
	{
		// the error is handled in the constructor.
		return NULL;
	};
	
	chdir(bwDirName);
	
	lastTime=0;
	lastFileName[0]='\0';
	while(entry=readdir(bwDir))
	 	if(!(stat(entry->d_name, &fileStat)))
			if( ( (fileStat.st_mtime) > lastTime ) && 
			(!access(entry->d_name,R_OK)) && (entry->d_name[0]!='.') )
			{
				strcpy(lastFileName,entry->d_name); 
				lastTime=fileStat.st_mtime;
			}; 
	closedir(bwDir);
	
	if(strlen(lastFileName)==0)
	{
		return (char*)NULL;
	}
	else
	{
	returnFileName=strdupplus(lastFileName);
	return returnFileName;
	};
};
